## com.trilead.ssh2.transport
Class NegotiateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.trilead.ssh2.transport.NegotiateException

All Implemented Interfaces:
  java.io.Serializable

    public class NegotiateException

extends java.lang.Exception

NegotiateException.

See Also:
  Serialized Form

Constructor Summary
`NegotiateException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NegotiateException

    public NegotiateException()